> ## Documentation Index
> Fetch the complete documentation index at: https://docs.near.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Post broadcast tx async

> [Deprecated] Sends a transaction and immediately returns transaction hash. Consider using send_tx instead.



## OpenAPI

````yaml /openapi.json post /broadcast_tx_async
openapi: 3.0.0
info:
  title: NEAR Protocol JSON RPC API
  version: 1.2.6
servers: []
security: []
paths:
  /broadcast_tx_async:
    post:
      description: >-
        [Deprecated] Sends a transaction and immediately returns transaction
        hash. Consider using send_tx instead.
      operationId: broadcast_tx_async
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JsonRpcRequest_for_broadcast_tx_async'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JsonRpcResponse_for_CryptoHash_and_RpcTransactionError
components:
  schemas:
    JsonRpcRequest_for_broadcast_tx_async:
      properties:
        id:
          type: string
          default: dontcare
          description: JSON-RPC request id. Auto-populated; can be any string.
        jsonrpc:
          type: string
          default: '2.0'
          enum:
            - '2.0'
          description: JSON-RPC protocol version. Always `2.0`.
        method:
          enum:
            - broadcast_tx_async
          type: string
        params:
          $ref: '#/components/schemas/RpcSendTransactionRequest'
      required:
        - params
        - method
      title: JsonRpcRequest_for_broadcast_tx_async
      type: object
    JsonRpcResponse_for_CryptoHash_and_RpcTransactionError:
      oneOf:
        - properties:
            result:
              $ref: '#/components/schemas/CryptoHash'
          required:
            - result
          type: object
        - properties:
            error:
              $ref: '#/components/schemas/ErrorWrapper_for_RpcTransactionError'
          required:
            - error
          type: object
      properties:
        id:
          type: string
        jsonrpc:
          type: string
      required:
        - jsonrpc
        - id
      title: JsonRpcResponse_for_CryptoHash_and_RpcTransactionError
      type: object
    RpcSendTransactionRequest:
      properties:
        signed_tx_base64:
          $ref: '#/components/schemas/SignedTransaction'
        wait_until:
          $ref: '#/components/schemas/TxExecutionStatus'
          description: >-
            Optional. Tells the RPC how long to wait before returning the
            transaction status. See the TxExecutionStatus enum for the six
            available milestones. Defaults to `EXECUTED_OPTIMISTIC`.
      required:
        - signed_tx_base64
      title: RpcSendTransactionRequest
      type: object
    CryptoHash:
      type: string
    ErrorWrapper_for_RpcTransactionError:
      oneOf:
        - properties:
            cause:
              $ref: '#/components/schemas/RpcRequestValidationErrorKind'
            name:
              enum:
                - REQUEST_VALIDATION_ERROR
              type: string
          required:
            - name
            - cause
          type: object
        - properties:
            cause:
              $ref: '#/components/schemas/RpcTransactionError'
            name:
              enum:
                - HANDLER_ERROR
              type: string
          required:
            - name
            - cause
          type: object
        - properties:
            cause:
              $ref: '#/components/schemas/InternalError'
            name:
              enum:
                - INTERNAL_ERROR
              type: string
          required:
            - name
            - cause
          type: object
    SignedTransaction:
      format: byte
      type: string
    TxExecutionStatus:
      type: string
      title: TxExecutionStatus
      description: >-
        How long the RPC should wait before returning a transaction result. Each
        value waits for a stricter execution milestone than the previous one.
        Defaults to `EXECUTED_OPTIMISTIC`.


        - `NONE`: Transaction is waiting to be included into a block.

        - `INCLUDED`: Transaction is included in a block (block may not be
        finalized).

        - `EXECUTED_OPTIMISTIC` (default): Included + all non-refund receipts
        executed (blocks may not be finalized).

        - `INCLUDED_FINAL`: Transaction is included in a finalized block.

        - `EXECUTED`: Included in a finalized block + all non-refund receipts
        executed.

        - `FINAL`: Included in a finalized block + all receipts (including
        refunds) finalized.
      enum:
        - NONE
        - INCLUDED
        - EXECUTED_OPTIMISTIC
        - INCLUDED_FINAL
        - EXECUTED
        - FINAL
      default: EXECUTED_OPTIMISTIC
    RpcRequestValidationErrorKind:
      oneOf:
        - properties:
            info:
              properties:
                method_name:
                  type: string
              required:
                - method_name
              type: object
            name:
              enum:
                - METHOD_NOT_FOUND
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            info:
              properties:
                error_message:
                  type: string
              required:
                - error_message
              type: object
            name:
              enum:
                - PARSE_ERROR
              type: string
          required:
            - name
            - info
          type: object
    RpcTransactionError:
      oneOf:
        - properties:
            info:
              type: object
            name:
              enum:
                - INVALID_TRANSACTION
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            name:
              enum:
                - DOES_NOT_TRACK_SHARD
              type: string
          required:
            - name
          type: object
        - properties:
            info:
              properties:
                transaction_hash:
                  $ref: '#/components/schemas/CryptoHash'
              required:
                - transaction_hash
              type: object
            name:
              enum:
                - REQUEST_ROUTED
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            info:
              properties:
                requested_transaction_hash:
                  $ref: '#/components/schemas/CryptoHash'
              required:
                - requested_transaction_hash
              type: object
            name:
              enum:
                - UNKNOWN_TRANSACTION
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            info:
              properties:
                debug_info:
                  type: string
              required:
                - debug_info
              type: object
            name:
              enum:
                - INTERNAL_ERROR
              type: string
          required:
            - name
            - info
          type: object
        - properties:
            name:
              enum:
                - TIMEOUT_ERROR
              type: string
          required:
            - name
          type: object
    InternalError:
      oneOf:
        - properties:
            info:
              properties:
                error_message:
                  type: string
              required:
                - error_message
              type: object
            name:
              enum:
                - INTERNAL_ERROR
              type: string
          required:
            - name
            - info
          type: object

````